
import 'package:flutter/material.dart';

class FeedbackDialog extends StatefulWidget {
  const FeedbackDialog({super.key});

  @override
  State<FeedbackDialog> createState() => _FeedbackDialogState();
}

class _FeedbackDialogState extends State<FeedbackDialog> {
  @override
  Widget build(BuildContext context) {
    return AlertDialog(

      title: const Text("Feedback"),
      content: const Column(
        mainAxisSize: MainAxisSize.min,
        children: [
          Text("Feedback, Anregungen, Ideen, Fehler und Verbesserungen"),
          SizedBox(height: 10),
          Text("Bitte gib keine geheimen Daten wie z.B. Passwörter weiter.", style: TextStyle(fontSize: 10)),
          SizedBox(height: 10),
          TextField(
            autofocus: true,
            decoration: InputDecoration(
              border: OutlineInputBorder(),
              label: Text("Feedback und Verbesserungen")
            ),
            // style: TextStyle(),
            // expands: true,
            minLines: 3,
            maxLines: 5,
          )
        ],
      ),
      actions: [
        TextButton(onPressed: () => Navigator.of(context).pop(), child: const Text("Abbrechen")),
        TextButton(
          onPressed: () {

          },
          child: const Text("Senden"),
        )
      ],
    );
  }
}
